summaryrefslogtreecommitdiffstats
path: root/tests/autotrigger.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/autotrigger.sh')
-rwxr-xr-xtests/autotrigger.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/autotrigger.sh b/tests/autotrigger.sh
index f6bbd07..44fc22f 100755
--- a/tests/autotrigger.sh
+++ b/tests/autotrigger.sh
@@ -14,12 +14,14 @@ function pci {
}
echo "Starting the grabber"
-pci -g -o /dev/null --run-time 12000000 --verbose 10 &
+pci -g -o /dev/null --run-time 1002000000 --verbose 10 &
pid=$!
+trap "{ /usr/bin/kill -s INT $!; }" SIGINT
+
sleep 0.1
pci -w 9040 80004a01
-sleep 10
+sleep 1000
pci -w 9040 80000201
echo "Waiting grabber to finish"